KJS::FunctionPrototypeImp Class Reference

`#include <function_object.h>`

Inheritance diagram for KJS::FunctionPrototypeImp:

## Public Member Functions

| FunctionPrototypeImp (ExecState *exec)
virtual bool | implementsCall () const
virtual Value | call (ExecState *exec, Object &thisObj, const List &args)
Public Member Functions inherited from KJS::InternalFunctionImp
| InternalFunctionImp (FunctionPrototypeImp *funcProto)
| InternalFunctionImp (ExecState *exec)
bool | implementsHasInstance () const
Boolean | hasInstance (ExecState *exec, const Value &value)
virtual const ClassInfo * | classInfo () const
Identifier | name () const
void | setName (Identifier _ident)

## Additional Inherited Members

Static Public Attributes inherited from KJS::InternalFunctionImp
static const ClassInfo | info = {"Function", 0, 0, 0}
Protected Attributes inherited from KJS::InternalFunctionImp
Identifier | ident

## Detailed Description

The initial value of Function.prototype (and thus all objects created with the Function constructor)

Definition at line 35 of file function_object.h.

The documentation for this class was generated from the following files:

- function_object.h
- function_object.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys